Bug 182437 - security/polarssl: turn HAVEGE random generator on
Summary: security/polarssl: turn HAVEGE random generator on
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jase Thew
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-27 11:00 UTC by Ganael LAPLANCHE
Modified: 2013-09-30 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.23 KB, patch)
2013-09-27 11:00 UTC, Ganael LAPLANCHE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ganael LAPLANCHE freebsd_committer 2013-09-27 11:00:00 UTC
Hi Jase,

The new version of emulators/dolphin-emu-devel will require two functions from polarssl (havege_init() and havege_random()) that are not provided by the port.

Is there a reason for keeping them turned off ? If not, find attach a patch that enables those two functions.

Best regards,

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-27 11:00:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jase

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-09-30 23:38:49 UTC
Author: jase
Date: Mon Sep 30 22:38:41 2013
New Revision: 328887
URL: http://svnweb.freebsd.org/changeset/ports/328887

Log:
  - Add patch to enable HAVEGE random generator
  - While I'm here: enable stage support, replace USE_GMAKE with USES=gmake
  
  PR:		ports/182437
  Submitted by:   martymac

Added:
  head/security/polarssl/files/patch-include-polarssl-config_h   (contents, props changed)
Modified:
  head/security/polarssl/Makefile
  head/security/polarssl/pkg-plist

Modified: head/security/polarssl/Makefile
==============================================================================
--- head/security/polarssl/Makefile	Mon Sep 30 22:36:19 2013	(r328886)
+++ head/security/polarssl/Makefile	Mon Sep 30 22:38:41 2013	(r328887)
@@ -3,6 +3,7 @@
 PORTNAME=	polarssl
 PORTVERSION=	1.2.8
 DISTVERSIONSUFFIX=	-gpl
+PORTREVISION=	1
 CATEGORIES=	security devel
 MASTER_SITES=	http://polarssl.org/download/
 EXTRACT_SUFX=	.tgz
@@ -18,35 +19,34 @@ URL_SUFFIX=	?do=yes
 FETCH_ARGS=	-pRro ${DISTFILES}
 ALL_TARGET=	no_test
 
-USE_GMAKE=	yes
+USES=	gmake
 USE_LDCONFIG=	yes
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
-PORTDOCS=	ChangeLog README
 
+DOCFILES=	ChangeLog README
 BINFILES=	aescrypt2 benchmark dh_client dh_genprime dh_server hello \
 		md5sum mpi_demo rsa_genkey rsa_sign rsa_verify selftest \
 		sha1sum sha2sum ssl_cert_test ssl_client1 ssl_client2 \
 		ssl_server ssl_test
 
 # cmake install is broken, so we do it by hand
-NO_STAGE=	yes
 do-install:
-	@${TAR} -C ${WRKSRC}/include -cf - polarssl | ${TAR} -C ${PREFIX}/include -xf -
-	${INSTALL_DATA} ${WRKSRC}/library/libpolarssl.a ${PREFIX}/lib/
-	${INSTALL_DATA} ${WRKSRC}/library/libpolarssl.so  ${PREFIX}/lib/libpolarssl.so.0
-	cd ${PREFIX}/lib/ && ${LN} -sf libpolarssl.so.0 libpolarssl.so
+	@${TAR} -C ${WRKSRC}/include -cf - polarssl | ${TAR} -C ${STAGEDIR}${PREFIX}/include -xf -
+	${INSTALL_DATA} ${WRKSRC}/library/libpolarssl.a ${STAGEDIR}${PREFIX}/lib/
+	${INSTALL_DATA} ${WRKSRC}/library/libpolarssl.so  ${STAGEDIR}${PREFIX}/lib/libpolarssl.so.0
+	cd ${STAGEDIR}${PREFIX}/lib/ && ${LN} -sf libpolarssl.so.0 libpolarssl.so
 .for i in ${BINFILES}
-	${INSTALL_PROGRAM} ${WRKSRC}/programs/*/${i} ${PREFIX}/bin/polarssl_${i}
+	${INSTALL_PROGRAM} ${WRKSRC}/programs/*/${i} ${STAGEDIR}${PREFIX}/bin/polarssl_${i}
 .endfor
 
 .include <bsd.port.options.mk>
 
 post-install:
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
-.for i in ${PORTDOCS}
-	${INSTALL_MAN} ${WRKSRC}/${i} ${DOCSDIR}/
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
+.for i in ${DOCFILES}
+	${INSTALL_DATA} ${WRKSRC}/${i} ${STAGEDIR}${DOCSDIR}
 .endfor
 .endif
 

Added: head/security/polarssl/files/patch-include-polarssl-config_h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/polarssl/files/patch-include-polarssl-config_h	Mon Sep 30 22:38:41 2013	(r328887)
@@ -0,0 +1,12 @@
+--- include/polarssl/config.h.orig	2013-09-24 16:37:14.000000000 +0200
++++ include/polarssl/config.h	2013-09-24 16:39:22.000000000 +0200
+@@ -627,8 +627,8 @@
+  * Requires: POLARSSL_TIMING_C
+  *
+  * Uncomment to enable the HAVEGE random generator.
+-#define POLARSSL_HAVEGE_C
+  */
++#define POLARSSL_HAVEGE_C
+ 
+ /**
+  * \def POLARSSL_MD_C

Modified: head/security/polarssl/pkg-plist
==============================================================================
--- head/security/polarssl/pkg-plist	Mon Sep 30 22:36:19 2013	(r328886)
+++ head/security/polarssl/pkg-plist	Mon Sep 30 22:38:41 2013	(r328887)
@@ -66,4 +66,7 @@ include/polarssl/xtea.h
 lib/libpolarssl.a
 lib/libpolarssl.so
 lib/libpolarssl.so.0
-@dirrm include/polarssl
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%@dirrmtry %%DOCSDIR%%
+@dirrmtry include/polarssl
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jase Thew freebsd_committer 2013-09-30 23:40:03 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!